<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="UTF-8">
	<title>[SuperDer] 메뉴 관리자</title>

	<th:block th:replace="~{common/module::order-socket}"></th:block>
	<th:block th:replace="~{common/module::order-management-common}"></th:block>
	<th:block th:replace="~{common/module::order-management-menu}"></th:block>
</head>

<body>
<main>
	<div class="grid">
		<div th:replace="~{order/management/left-side::left-side}"></div>
		<div class="content-container">
			<div class="content">
				<div class="header">
					<h1 class="title-text">메뉴 관리</h1>
					<div class="search-condition">
						<form class="form-condition" id="searchFormData" method="get">
							<div>
								<label>카테고리</label>
								<select name="categoryCode">
									<option value="ALL" th:selected="${selectCategoryCode == 'ALL'}">ALL</option>
									<option class="category-code" th:each="cl : ${categoryList}" th:text="${cl.categoryName}" th:value="${cl.categoryCode}" th:selected="${cl.categoryCode == selectCategoryCode}"></option>
								</select>
							</div>
							<div>
								<label for="">메뉴 노출</label>
								<select name="showYn">
									<option value="Y" th:selected="'Y' == ${selectShowYn}">노출</option>
									<option value="N" th:selected="'N' == ${selectShowYn}">비노출</option>
								</select>
							</div>
							<div>
								<input class="search-menu-name" name="menuName" type="search" placeholder="메뉴명을 입력하세요." th:value="${menuName}" autocomplete="off">
							</div>
							<div>
								<button class="search-btn" id="searchBtn" type="submit">조회</button>
							</div>
						</form>
					</div>
				</div>
				<div class="menu-list">
					<table class="result-list">
						<colgroup>
							<col width="5%">
							<col width="15%">
							<col width="50%">
							<col width="20%">
							<col width="10%">
						</colgroup>
						<thead class="result-header">
						<tr>
							<th class="title" colspan="4">조회 내역</th>
							<th class="title-explain" colspan="1">노출 여부</th>
						</tr>
						</thead>
						<tbody id="menuList">
						<th:block th:each="ml, status : ${selectMenuList}">
							<tr class="result-body" th:onclick="menuDetail([[${ml.menuCode}]])">
								<td class="left-align index" th:text="${ml.menuSeq}"></td>
								<td class="left-align" th:text="${ml.categoryName}"></td>
								<td class="left-align" th:text="${ml.menuName}"></td>
								<td class="right-align" th:text="${#numbers.formatInteger(ml.menuPrice, 0, 'COMMA')}">메뉴 금액</td>
								<td th:text="${ml.showYn}"></td>
							</tr>
						</th:block>
						</tbody>
					</table>
				</div>
				<div class="page">
					<th:block th:each="i : ${#numbers.sequence(1, pageSize)}">
						<div id="movePageBtn" th:onclick="|movePage(${i})|" type="button" th:text="${i}"></div>
					</th:block>
				</div>
				<button class="add-menu" onclick="menuDetail();">메뉴 추가</button>
			</div>
		</div>
	</div>
</main>
</body>
<div class="modal-container" id="modalContainer"></div>

</html>
